org.modeshape.jcr.cache.document

## Class TransactionalWorkspaceCaches

- java.lang.Object
- - org.modeshape.jcr.cache.document.TransactionalWorkspaceCaches

-     public class TransactionalWorkspaceCaches
      extends Object

  A manager for keeping track of transaction-specific WorkspaceCache instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionalWorkspaceCaches(Transactions transactions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TransactionalWorkspaceCache` | `createCache(WorkspaceCache sharedWorkspaceCache, Transaction txn)`
    `WorkspaceCache` | `getTransactionalWorkspaceCache(WorkspaceCache sharedWorkspaceCache)`
    `void` | `remove(String workspaceName)`
    `protected void` | `remove(Transaction txn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalWorkspaceCaches

          public TransactionalWorkspaceCaches(Transactions transactions)

  - ### Method Detail

    - #### getTransactionalWorkspaceCache

          public WorkspaceCache getTransactionalWorkspaceCache(WorkspaceCache sharedWorkspaceCache)
                                                        throws SystemException,
                                                               RollbackException

      Throws:
        `SystemException`
        `RollbackException`

    - #### remove

          public void remove(String workspaceName)

    - #### remove

          protected void remove(Transaction txn)

    - #### createCache

          protected TransactionalWorkspaceCache createCache(WorkspaceCache sharedWorkspaceCache,
                                                Transaction txn)
                                                     throws SystemException,
                                                            RollbackException

      Throws:
        `SystemException`
        `RollbackException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.